Summary:	Cross Mingw64 GNU binary utility development utilities - binutils
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - Mingw64 binutils
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - Mingw64 binutils
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla Mingw64 - binutils
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - Mingw64 binutils
Summary(tr.UTF-8):	GNU geliştirme araçları - Mingw64 binutils
Name:		crossmingw64-binutils
Version:	2.23.51.0.8
Release:	1
License:	GPL v3+
Group:		Development/Tools
Source0:	http://www.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	52db235c4e05928827a37ae1e8213bc7
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	zlib-devel
# not necessary unless we patch .texi docs; but they are not packaged here anyway
#BuildRequires:	texinfo >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		x86_64-w64-mingw32
%define		arch		%{_prefix}/%{target}

%description
crossmingw64 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the Mingw64 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to x86_64-mingw32, along
with supporting Win64 libraries in 'coff' format from free sources.

This package contains cross targeted binutils.

%description -l pl.UTF-8
crossmingw64 jest kompletnym systemem do kroskompilacji, pozwalającym
budować aplikacje MS Windows pod Linuksem używając bibliotek mingw64.
System składa się z binutils, gcc z g++ i objc, libstdc++ - wszystkie
generujące kod dla platformy x86_64-mingw32, oraz z bibliotek w formacie
COFF.

Ten pakiet zawiera binutils generujące skrośnie binaria dla Win64.

%prep
%setup -q -n binutils-%{version}

%build
# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
./configure \
	--disable-shared \
	--disable-nls \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-sysroot=%{arch} \
	--host=%{_target_platform} \
	--build=%{_target_platform} \
	--target=%{target}

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# remove this man page unless we cross-build for netware platform.
# however, this should be done in Makefiles.
rm $RPM_BUILD_ROOT%{_mandir}/man1/*nlmconv.1

# libiberty.a is ELF not PE
rm $RPM_BUILD_ROOT%{_libdir}/libiberty.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{arch}
%dir %{arch}/lib
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%{arch}/lib/ldscripts
%attr(755,root,root) %{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*
%changelog
* Wed Dec 26 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw64-binutils.git;a=log;h=master

* Wed Dec 26 2012 Paweł Sikora <pawel.sikora@agmk.net> ad1482d
updated to 2.23.51.0.8.

* Thu Dec 20 2012 Paweł Sikora <pawel.sikora@agmk.net> 28d0311
updated to 2.23.51.0.5.

* Wed Sep 19 2012 Paweł Sikora <pawel.sikora@agmk.net> 60c2c62
updated to 2.23.51.0.3.

* Wed Sep 12 2012 Paweł Sikora <pawel.sikora@agmk.net> 061e01f
updated to 2.23.51.0.2.

* Fri Aug 31 2012 Paweł Sikora <pawel.sikora@agmk.net> ddeb8a9
updated to 2.23.51.0.1, release 1.

* Thu Jun 14 2012 Paweł Sikora <pluto@pld-linux.org> aad75e4
updated to 2.22.52.0.4.

* Tue May 08 2012 Paweł Sikora <pluto@pld-linux.org> 78b5e4c
- updated to 2.22.52.0.3.

* Wed Feb 01 2012 Paweł Sikora <pluto@pld-linux.org> fea334d
- updated to 2.22.52.0.1.

* Wed Jan 18 2012 Paweł Sikora <pluto@pld-linux.org> 5649cd0
- update to 2.22.51.0.1, switch target triplet to *-w64-*, release 1.

* Tue May 31 2011 Paweł Sikora <pluto@pld-linux.org> f99f550
- updated to 2.21.51.0.9.

* Sun Apr 10 2011 Paweł Sikora <pluto@pld-linux.org> dd79e2a
- updated to 2.21.51.0.8.

* Sat Nov 20 2010 Paweł Sikora <pluto@pld-linux.org> d4012ef
- updated to 2.21.51.0.1 (dwarf4/PE+ linker fixes).

* Sun Sep 26 2010 Paweł Sikora <pluto@pld-linux.org> f680cc1
- expand canonical target name, cleanup build, release 3.

* Sun Sep 26 2010 Paweł Sikora <pluto@pld-linux.org> ad60f28
- fix 32-bit build, release 2.

* Sun Sep 26 2010 Paweł Sikora <pluto@pld-linux.org> e5066fa
- updated to 2.20.51.0.11.

* Fri Sep 04 2009 Paweł Sikora <pluto@pld-linux.org> 1a22335
- updated to 2.19.51.0.14.

* Fri Feb 13 2009 Paweł Sikora <pluto@pld-linux.org> acdaca3
- update license, cleanup old comments.

* Mon Feb 09 2009 Paweł Sikora <pluto@pld-linux.org> b866301
- updated to 2.19.51.0.2.

* Tue Jan 06 2009 Paweł Sikora <pluto@pld-linux.org> 6a72769
- fix desc.

* Tue Jan 06 2009 Paweł Sikora <pluto@pld-linux.org> a021459
- updated to 2.19.51.0.1 (fix COFF related bug).

